
package com.ejie.ab63.clientesWS.publicacionWebService;

import java.net.MalformedURLException;
import java.net.URL;
import java.util.logging.Logger;

import javax.jws.HandlerChain;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceFeature;

/**
 * This class was  
 * source version: 2.1
 * 
 */
@WebServiceClient(name = "NotificacionPortBindingQSService1", targetNamespace = "http://www.ejie.net/", wsdlLocation = "META-INF/wsdls/w43eaEntradaWS.wsdl")
@HandlerChain(file = "client-handlers.xml")
public class NotificacionPortBindingQSService1 extends Service {

	private final static URL NOTIFICACIONPORTBINDINGQSSERVICE1_WSDL_LOCATION;
	private final static Logger logger = Logger.getLogger(
			com.ejie.ab63.clientesWS.publicacionWebService.NotificacionPortBindingQSService1.class.getName());

	static {
		URL url = null;
		try {
			URL baseUrl;
			baseUrl = com.ejie.ab63.clientesWS.publicacionWebService.NotificacionPortBindingQSService1.class
					.getResource(".");
			url = new URL(baseUrl, "META-INF/wsdls/w43eaEntradaWS.wsdl");
		} catch (MalformedURLException e) {
			logger.warning(
					"Failed to create URL for the wsdl Location: 'META-INF/wsdls/w43eaEntradaWS.wsdl', retrying as a local file");
			logger.warning(e.getMessage());
		}
		NOTIFICACIONPORTBINDINGQSSERVICE1_WSDL_LOCATION = url;
	}

	public NotificacionPortBindingQSService1(URL wsdlLocation, QName serviceName) {
		super(wsdlLocation, serviceName);
	}

	public NotificacionPortBindingQSService1() {
		super(NOTIFICACIONPORTBINDINGQSSERVICE1_WSDL_LOCATION,
				new QName("http://www.ejie.net/", "NotificacionPortBindingQSService1"));
	}

	/**
	 * 
	 * @return returns Notificacion
	 */
	@WebEndpoint(name = "NotificacionPortBindingQSPort1")
	public Notificacion getNotificacionPortBindingQSPort1() {
		return super.getPort(new QName("http://www.ejie.net/", "NotificacionPortBindingQSPort1"), Notificacion.class);
	}

	/**
	 * 
	 * @param features
	 *            A list of {@link javax.xml.ws.WebServiceFeature} to configure
	 *            on the proxy. Supported features not in the
	 *            <code>features</code> parameter will have their default
	 *            values.
	 * @return returns Notificacion
	 */
	@WebEndpoint(name = "NotificacionPortBindingQSPort1")
	public Notificacion getNotificacionPortBindingQSPort1(WebServiceFeature... features) {
		return super.getPort(new QName("http://www.ejie.net/", "NotificacionPortBindingQSPort1"), Notificacion.class,
				features);
	}

}
